Querio
Embed QuerioEmbedded API

Get an asset

GET
/v2/embed/{customer_slug}/conversations/{conversationId}/assets/{cellId}
AuthorizationBearer <token>

Include your API token in the Authorization header:

Authorization: Bearer <token>

Tokens are created in the Querio workspace settings under Embedded > API Tokens.

In: header

Path Parameters

customer_slugstring

Customer slug that maps to a workspace and agent configuration.

conversationIdstring

Conversation identifier.

Formatuuid
cellIdstring

Asset identifier from a data-table or data-chart message part.

Query Parameters

page?integer

1-indexed page number for table assets.

Default1
Range1 <= value
pageSize?integer

Rows per page for table assets.

Default20
Range1 <= value <= 100
query?string

Free-text search across all columns for table assets.

sort?string

JSON array of sort directives for table assets.

filters?string

JSON array of filter conditions for table assets.

Response Body

curl -X GET "https://app.querio.ai/api/v2/embed/dunder-mifflin/conversations/38770bb6-b14b-405c-aed6-71e8849c77dc/assets/orders-sample?page=1&pageSize=20&query=string&sort=%5B%7B%22column%22%3A%22post_discount_revenue%22%2C%22desc%22%3Atrue%7D%5D&filters=%5B%7B%22column%22%3A%22status%22%2C%22operator%22%3A%22equals%22%2C%22value%22%3A%22COMPLETED%22%7D%5D"

{
  "columns": [
    {
      "name": "order_id",
      "type": "string",
      "dtype": "object"
    },
    {
      "name": "quantity",
      "type": "integer",
      "dtype": "int64"
    },
    {
      "name": "post_discount_revenue",
      "type": "number",
      "dtype": "float64"
    }
  ],
  "rows": [
    {
      "order_id": "0039d92b-9259-4a68-b1b8-944e76c955bb",
      "quantity": 130,
      "post_discount_revenue": 3250
    }
  ],
  "page": 1,
  "pageSize": 20,
  "totalRows": 100,
  "totalColumns": 3
}

{
  "error": "invalid_page",
  "message": "Requested page exceeds total pages"
}

{
  "error": "Missing or invalid Authorization header",
  "message": "No Bearer token or invalid token"
}

{
  "error": "Token does not have access to this consumer",
  "message": "Token workspace does not match consumer"
}

{
  "error": "not_found",
  "message": "Conversation or asset not found"
}